import { default as React } from 'react';

export interface ButtonProps extends React.ComponentProps<"button"> {
    children?: React.ReactNode;
    variant?: "primary" | "secondary" | "accent" | "neutral" | "success" | "warning" | "error" | "info" | "link" | "ghost" | "glass";
    size?: "large" | "medium" | "small" | "extra-small";
    outline?: boolean;
    block?: boolean;
    circle?: boolean;
    square?: boolean;
    wide?: boolean;
}
export declare const Button: React.FC<ButtonProps>;
