import { default as React } from 'react';

export interface AccordionItemProps {
    title: string;
    content: React.ReactNode;
    isOpen?: boolean;
    disabled?: boolean;
    customIcon?: React.ReactNode;
}
export interface AccordionProps extends React.ComponentProps<"div"> {
    items: AccordionItemProps[];
    allowMultiple?: boolean;
}
export declare const Accordion: React.FC<AccordionProps>;
