import { default as React } from 'react';

type ActionProps = {
    text: string;
    onClick: () => void;
};
export interface CardProps extends React.ComponentProps<"div"> {
    title: string;
    body: string;
    imageUrl?: string;
    imageAlt?: string;
    imageMode?: "default" | "padding" | "overlay";
    primaryAction?: ActionProps;
    secondaryAction?: ActionProps;
    compact?: boolean;
    neutral?: boolean;
    shadow?: boolean;
    horizontal?: boolean;
    responsive?: boolean;
}
export declare const Card: React.FC<CardProps>;
export {};
