import { default as React } from 'react';

export interface RadioInputProps extends React.ComponentProps<"input"> {
    label?: string;
    inputSize?: "xs" | "sm" | "md" | "lg";
    color?: "primary" | "secondary" | "accent" | "info" | "success" | "warning" | "error";
    disabled?: boolean;
    name: string;
    checked?: boolean;
    containerWidth?: "w-full" | "w-1/2" | "w-1/3" | "w-1/4" | "w-auto";
    onChange?: (event: React.ChangeEvent<HTMLInputElement>) => void;
}
export declare const RadioInput: React.FC<RadioInputProps>;
