import { default as React } from 'react';

export interface ToastProps extends React.ComponentProps<"div"> {
    alerts: {
        message: string;
        type: "info" | "success" | "warning" | "error";
    }[];
    position?: "top-start" | "top-center" | "top-end" | "middle-start" | "middle-center" | "middle-end" | "bottom-start" | "bottom-center" | "bottom-end";
}
export declare const Toast: React.FC<ToastProps>;
