export interface ThemeProps {
    primary: string;
    "primary-content": string;
    secondary: string;
    "secondary-content": string;
    accent: string;
    "accent-content": string;
    neutral: string;
    "neutral-content": string;
    "base-100": string;
    "base-200"?: string;
    "base-300"?: string;
    "base-content"?: string;
    info: string;
    "info-content"?: string;
    success: string;
    "success-content"?: string;
    warning: string;
    "warning-content"?: string;
    error: string;
    "error-content"?: string;
    "--rounded-box": string;
    "--rounded-btn": string;
    "--rounded-badge": string;
    "--animation-btn": string;
    "--animation-input": string;
    "--btn-focus-scale": string;
    "--border-btn": string;
    "--tab-border": string;
    "--tab-radius": string;
}
export interface ThemesProps {
    light: ThemeProps;
}
export declare const Themes: ThemesProps;
