import { default as React } from 'react';

export interface CheckboxProps extends React.ComponentProps<"input"> {
    label?: string;
    color?: "primary" | "secondary" | "accent" | "success" | "warning" | "info" | "error";
    checkboxSize?: "xs" | "sm" | "md" | "lg";
    indeterminate?: boolean;
    disabled?: boolean;
    checked?: boolean;
    onChange?: (event: React.ChangeEvent<HTMLInputElement>) => void;
    containerWidth?: "w-full" | "w-1/2" | "w-1/3" | "w-1/4" | "w-auto";
}
export declare const Checkbox: React.FC<CheckboxProps>;
